Genero 1.31.1p Maintenance Release

Please see below the new Four Js Genero products maintenance version announcement.

FOUR Js GENERO BUSINESS DEVELOPMENT LANGUAGE 1.31.1p

Four Js Genero Business Development Language maintenance version
1.31.1p is being released today December 23rd, 2004

The previous released version was 1.31.1k.

This release is a maintenance release. The first goal of maintenance
releases is to correct issues and problems found in previous versions.

This Maintenance Release is now available for download from our Four Js
Development Tools web server at http://www.4js.com/.

AVAILABLE PACKAGES

fjs-fgl-1.31.1p-osf0510.sh: Compaq Tru64 Unix 5.1 B
fjs-fgl-1.31.1p-hpx1100.sh: Hewlett Packard HP-UX 11 32 bits
fjs-fgl-1.31.1p-h641100.sh: Hewlett Packard HP-UX 11 64 bits
fjs-fgl-1.31.1p-h64i112.sh: Hewlett Packard Itanium HP-UX 11 64 bits
fjs-fgl-1.31.1p-aix0433.sh: IBM AIX 4.3.3 and higher (32 bits)
fjs-fgl-1.31.1p-a640433.sh: IBM AIX 4.3.3 64 bits
fjs-fgl-1.31.1p-a640510.sh: IBM AIX 5.1 and 5.2 64 bits
fjs-fgl-1.31.1p-ilxlc22.sh: IBM AS400 Linux SuSE 8.1 32 bits (Glibc 2.2.5) Kernel 2.4.19 (PowerPC)
fjs-fgl-1.31.1p-lnxlc23.sh: Linux Red Hat Entreprise Edition 3.0 Update 1 (glibc 2.3)
fjs-fgl-1.31.1p-lnxlc22.sh: Linux w/GNU libc 2.2.x and higher
fjs-fgl-1.31.1p-w32vc60.exe: Microsoft Windows NT4.0/NT2000/XP/2003 Visual C++ 6.0
fjs-fgl-1.31.1p-w32vc71.exe: Microsoft Windows NT4.0/NT2000/XP/2003 Visual C++ 7.1
fjs-fgl-1.31.1p-sco0505.sh: SCO Open Server 5.0.5
fjs-fgl-1.31.1p-uxw0711.sh: SCO UnixWare 7.1.1
fjs-fgl-1.31.1p-sls0260.sh: Sun Solaris SPARC 2.6.0 and higher (32 bits)
fjs-fgl-1.31.1p-s640800.sh: Sun Solaris SPARC 8 & 9 (64 bits)

ENHANCEMENTS & BUG FIXED

4149:

ON ROW CHANGE

should be fired when doing a

DISPLAY TO / BY NAME.

3622:

SQL Server : SQLCA.SQLCODE

is wrong when syntax error.
4147: Wrong XML doc format when PRINT with semicolon on last line in

BEFORE GROUP.

4107:

ON CHANGE

is not fired when using

NEXT FIELD.

4104: SQL Error -404 when doing

SHOW TABLES

statement with MySQL.
4100: Large menu crash on

HP-UX.

4003: Form action defaults should support

DEFAULTVIEW attribute.

2726:

VARCHAR2(1000)

defined in Oracle cannot be used in

DEFINE LIKE.

4013: Data is corrupted when writing to a XmlWriter obtained by a
call to

om.XmlWriter.createSocketWriter().

3996: Wrong SQL condition is generated when using

DATETIME

with

FRACTION in CONSTRUCT.

4075: Scrolling is not taken in account in “one-row”

SCROLLGRID.

3927: On Windows int_flag is not set is sleep is interrupted.

For more details check the release notes.

DEPENDENCIES

It is required to upgrade
– the Genero Desktop Client (a.k.a GDC) to version 1.31.1e,
– the Genero Application Server (a.k.a GAS) to version 1.31.1a,
– the Genero Web Services (a.k.a GWS) to version 1.31.1p.

MIGRATION

If upgrading from any prior version, it is mandatory to re compile the
source code and forms. The software needs re-licensing every time a
major release version update is applied.

FOUR Js GENERO WEB SERVICES EXTENSION 1.31.1p

Four Js Genero Web Services Extension version 1.31.1p is being released
today December 23rd, 2004.

The previous released version was 1.31.1k.

This release is a maintenance release. The first goal of maintenance
releases is to correct issues and problems found in previous versions.

This Maintenance Release is now available for download from our Four Js
Development Tools web server at http://www.4js.com/.

AVAILABLE PACKAGES

fjs-gws-1.31.1p-osf0510.sh: Compaq Tru64 Unix 5.1 B
fjs-gws-1.31.1p-hpx1100.sh: Hewlett Packard HP-UX 11 32 bits
fjs-gws-1.31.1p-h641100.sh: Hewlett Packard HP-UX 11 64 bits
fjs-gws-1.31.1p-h64i112.sh: Hewlett Packard Itanium HP-UX 11 64 bits
fjs-gws-1.31.1p-aix0433.sh: IBM AIX 4.3.3 and higher (32 bits)
fjs-gws-1.31.1p-a640433.sh: IBM AIX 4.3.3 64 bits
fjs-gws-1.31.1p-a640510.sh: IBM AIX 5.1 and 5.2 64 bits
fjs-gws-1.31.1p-ilxlc22.sh: IBM AS400 Linux SuSE 8.1 32 bits (Glibc 2.2.5) Kernel 2.4.19 (PowerPC)
fjs-gws-1.31.1p-lnxlc23.sh: Linux Red Hat Entreprise Edition 3.0 Update 1 (glibc 2.3)
fjs-gws-1.31.1p-lnxlc22.sh: Linux w/GNU libc 2.2.x and higher
fjs-gws-1.31.1p-w32vc60.exe: Microsoft Windows NT4.0/NT2000/XP/2003 Visual C++ 6.0
fjs-gws-1.31.1p-w32vc71.exe: Microsoft Windows NT4.0/NT2000/XP/2003 Visual C++ 7.1
fjs-gws-1.31.1p-sco0505.sh: SCO Open Server 5.0.5
fjs-gws-1.31.1p-uxw0711.sh: SCO UnixWare 7.1.1
fjs-gws-1.31.1p-sls0260.sh: Sun Solaris SPARC 2.6.0 and higher (32 bits)
fjs-gws-1.31.1p-s640800.sh: Sun Solaris SPARC 8 & 9 (64 bits)

ENHANCEMENTS & BUG FIXED

000 Maintenance version linked to Genero BDL new version.

For more details check the release notes.

DEPENDENCIES

This product version is defined to work with Genero BDL 1.31.1p.

DOCUMENTATION FOR 1.31 RELEASE

Users Guides and other documentation for 1.31 products are now available online.

MAINTENANCE

As usual with Four Js policy, all customers under maintenance have free
access to the new release from Four Js Development Tools web server at
http://www.4js.com/.

Four Js Development Tools